//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TControlWin : public TForm
{
__published:	// IDE-managed Components
    TGroupBox *GroupBox1;
    TEdit *ImageWidthEB;
    TLabel *Width;
    TEdit *ImageHeightEB;
    TLabel *Label1;
    TGroupBox *GroupBox2;
    TLabel *Label2;
    TLabel *Label3;
    TLabel *Label4;
    TLabel *Label5;
    TEdit *IMaxEB;
    TEdit *IMinEB;
    TEdit *RMaxEB;
    TEdit *RMinEB;
    TButton *RedisplayBTN;
    TLabel *Label6;
    TEdit *RenderTimeEB;
    TProgressBar *ProgressBar;
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall RedisplayBTNClick(TObject *Sender);
    void __fastcall IMinEBChange(TObject *Sender);
    void __fastcall IMaxEBChange(TObject *Sender);
    void __fastcall RMinEBChange(TObject *Sender);
    void __fastcall RMaxEBChange(TObject *Sender);
    void __fastcall ImageWidthEBChange(TObject *Sender);
    void __fastcall ImageHeightEBChange(TObject *Sender);
private:	// User declarations
    bool NumbersChanged;
public:		// User declarations
    __fastcall TControlWin(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TControlWin *ControlWin;
//---------------------------------------------------------------------------
#endif
